Scriptname MagicEffectConstantDetectLife extends activemagiceffect  

import game
import utility

actor property selfRef auto hidden
;Dummy Detect Life Spell
SPELL Property sDetectLifeSpell  Auto

EVENT OnEffectStart(Actor Target, Actor Caster)
	;Set the triggering caster
	selfRef = Caster
	RegisterForUpdate(2)

	;Add the effect to the caster
	if (! selfRef.HasSpell(sDetectLifeSpell))
		selfRef.AddSpell(sDetectLifeSpell, false)
		sDetectLifeSpell.Cast(selfRef)
		selfRef.RemoveSpell(sDetectLifeSpell)
	endif
endEVENT

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	UnregisterForUpdate()

	;Remove the detect life effect
	if (selfRef.HasSpell(sDetectLifeSpell))
		selfRef.RemoveSpell(sDetectLifeSpell)
	endif
	selfRef.DispelSpell(sDetectLifeSpell)
endEvent

Event OnUpdate()
	;Update Detect Life
	selfRef.AddSpell(sDetectLifeSpell, false)
	sDetectLifeSpell.Cast(selfRef)
	selfRef.RemoveSpell(sDetectLifeSpell)
endEvent
